### Class

# Gom CommandBuilder

#### Description

    class Gom.CommandBuilder : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### gom_command_builder_build_count

Builds a new command that will count the number of rows matching the current query parameters.

###### gom_command_builder_build_create

Builds a list of `GomCommand` to update the table for the resource_type associated with `builder` up to `version`.

###### gom_command_builder_build_delete

Builds a new `GomCommand` to delete the rows matching the current query params.

###### gom_command_builder_build_insert

Builds a new `GomCommand` that will insert the parameters of the resource into the underlying database.

###### gom_command_builder_build_select

Builds a `GomCommand` that will select all the rows matching the current query params.

###### gom_command_builder_build_update

Builds a new `GomCommand` that will update the contents stored for `resource` in the underlying database.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gom.CommandBuilder:adapter

No description available.

###### Gom.CommandBuilder:filter

No description available.

###### Gom.CommandBuilder:limit

No description available.

###### Gom.CommandBuilder:m2m-table

No description available.

###### Gom.CommandBuilder:m2m-type

No description available.

###### Gom.CommandBuilder:offset

No description available.

###### Gom.CommandBuilder:resource-type

No description available.

###### Gom.CommandBuilder:sorting

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GomCommandBuilderClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.